%global destdir /opt/payroll2python

Name:           payroll2python
Version:        0.9.7
Release:        1%{?dist}
Summary:        Payroll web application powered by Flask
Group:          System Environment/Daemons
License:        MIT
Source0:        %{name}-%{version}.tar.gz
Requires:       python%{python3_pkgversion}
Requires: 	python3-oursql
Requires:       python3-flask
Requires:       python3-flask-auth
Requires:	python3-flask-login
Requires:	python3-flask-sqlalchemy
Requires:	python3-flask-script
Requires:	python3-flask-wtf
Requires: 	python3-Flask-Migrate
Requires:	python3-alembic
Requires:	python3-ldap
Requires:	python3-sqlalchemy-migrate
BuildArch:	noarch

%description
payroll2python is the Python successor to payroll, a PHP hours-tracking web application. It is powered by Flask and SQLAlchemy.

%prep
%autosetup -n payroll-python


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{destdir}
mv * $RPM_BUILD_ROOT%{destdir}


%files
%defattr(-,root,root)
%{destdir}/*
%doc %{destdir}/README


%changelog
* Fri Sep 16 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.7-1
- Version bump

* Fri Sep 02 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.6-1
- Version bump

* Tue Aug 23 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.5-1
- Version bump

* Fri Aug 12 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.4-2
- Set BuildArch to noarch

* Fri Aug 12 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.4-1
- Version bump

* Wed Aug 10 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 0.9.3-1
- Version bump

* Tue Aug 02 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.2-1
- Version bump

* Fri Jul 29 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.9.1
- Initial build for Rutgers CentOS 7
